#ifndef POST_NPOST_H
#define POST_NPOST_H

#include "Post.h"

class PostNPOST : public Post
{
 public:
    PostNPOST( const char *filename );

 private:
    typedef std::vector< int > CellmapArray;

    CellmapArray cellmap;
    double rootID;

    bool ReadCellmap();
    PostVectorField* ReadVectorData( double variableID, char *variableName );
    PostScalarField* ReadScalarData( double variableID, char *variableName );
    void MakeFieldCellmap( PostField& field );
};

#endif // POST_NPOST_H
